
make_graph <- function(rt, v_color){
  
  G_all <- network_graph(rt, c("mention,retweet,reply,quote"))
  E(G_all)$weight <- 1
  G = igraph::simplify(G_all, 
               remove.multiple = T, 
               remove.loops = T, 
               edge.attr.comb  = list(weight="sum", "ignore"))
  G = as.undirected(G, mode = "collapse", edge.attr.comb  = list(weight="sum", "ignore"))

  
  m = max(log(E(G)$weight + 0.5))
  rgb_v_color = col2rgb(v_color)/255
  V(G)$size <- 0.8
  V(G)$label.color <- "black" 
  V(G)$label.cex <- 0.8
  V(G)$label.dist <- 0
  V(G)$label <- ""
  V(G)$frame.color <- rgb(rgb_v_color[1], rgb_v_color[2], rgb_v_color[3], alpha=0.6)
  V(G)$color <- rgb(rgb_v_color[1], rgb_v_color[2], rgb_v_color[3], alpha=0.6)
  E(G)$color <- rgb(.5, .5, .5, alpha=0.3)
  E(G)$width <- log(E(G)$weight + 0.5)/m + 0.25
  E(G)$arrow.mode <- 0
  
  G
}
