plot_data = function(G, source_id){

  L = layout_with_drl(G, weights = log(E(G)$weight))
  plot.igraph(G, layout = L)
  
  pdf(paste("Plots/", source_id, ".pdf", sep = ""))
  plot.igraph(G, layout = L)
  dev.off() 
  
  #### Betweenness Centrality
  m = max(E(G)$weight)
  betw = betweenness(G, v = V(G), normalized = TRUE, weights = 1/E(G)$weight)
  plot_centrality(betw, G, paste("Plots/", source_id, "_Betweenness.pdf", sep = ""), 10, L)
  #### Closeness Centrality 
  cl = closeness(G, vids = V(G), normalized = TRUE, weights = 1/E(G)$weight)
  plot_centrality(cl, G, paste("Plots/", source_id, "_Closeness.pdf", sep = ""), 1, L)
  #### Degree Centrality
  cd = centr_degree(G, mode = "all", normalized = TRUE)$res
  plot_centrality(cd, G, paste("Plots/", source_id, "_Degree.pdf", sep = ""), 10, L)
}

plot_centrality = function(v, G3, name, f, L){
  pi = sort.list(v, decreasing = TRUE)
  names = V(G3)$name[pi[1:8]]
  
  #for (i in 1:8){
  #  V(G3)$label[pi[i]] = as.character(i)
  #}
  m = max(v)
  mm = min(v)
  
  V(G3)$size = f * (v-mm)/(m-mm) + 0.8

  pdf(name)
  plot.igraph(G3, layout = L)
  legend("topleft", legend=names,
         box.lty=0, 
         pch=as.character(1:8), 
         cex = 0.8)
  dev.off() 
}



