###############################################################
library("tokenizers")
library("tidyverse")
library("webshot")
library("htmlwidgets")

#CODE COPIED FROM
# https://mkearney.github.io/blog/2017/06/01/intro-to-rtweet/

plot_wordcloud = function(data, name, sw){
  wrds <- tokenize_words(plain_tweets(data$text))
  wrds <- tokenize_words(data$text)
  wrds <- table(unlist(wrds))
  
  ## create freq table of all words from general pool of tweets
  stopwords <- tokenize_words(plain_tweets(sw$text))
  stopwords <- table(unlist(stopwords))
  
  ## exclude all words that appear more than N times in stopwords
  wrds2 = wrds[!names(wrds) %in% names(stopwords[stopwords > 5])]
  wrds2 = wrds2[nchar(names(wrds2)) > 4]
  wrds2 = wrds2[wrds2 > 10]
  for (i in 0:9){
    wrds2 = wrds2[!str_detect(names(wrds2), as.character(i))]
  }
  
  exclude = c("waren", 
              "werden",
              "haben",
              "http",
              "schon",
              "wollen")
  
  for (e in exclude){
    wrds2 = wrds2[!str_detect(names(wrds2), e)]
  }
  
  wrds2 = wrds2[!str_detect(names(wrds2), "http")]
  
  cols = viridis(length(wrds2), begin = 0.15, end = 0.85, direction = 1)
  
  W = wordcloud2(wrds2,
                 color = cols, 
                 fontFamily = "Helvetica Neue",
                 shape = "circle",
                 size = 3)
  saveWidget(W, paste(name, "_wordcloud.html", sep = ""), selfcontained = F)
}

